// vctestDlg.h : header file
//
//{{AFX_INCLUDES()
#include "vitaminctrl.h"
//}}AFX_INCLUDES

#if !defined(AFX_VCTESTDLG_H__C706665D_87ED_4E2F_A45A_D6A1F987CB5C__INCLUDED_)
#define AFX_VCTESTDLG_H__C706665D_87ED_4E2F_A45A_D6A1F987CB5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVctestDlg dialog

class CVctestDlg : public CDialog
{
// Construction
public:
	CVctestDlg(CWnd* pParent = NULL);	// standard constructor
	BOOL PreTranslateMessage(MSG* pMsg);

// Dialog Data
	//{{AFX_DATA(CVctestDlg)
	enum { IDD = IDD_VCTEST_DIALOG };
	CVitaminCtrl	m_vitCtrl1;
	CVitaminCtrl	m_vitCtrl2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVctestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVctestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSelchangeComboServerType();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButDoSet();
	afx_msg void OnButDiGet();
	afx_msg void OnBut4chDoset1();
	afx_msg void OnBut4chDoset2();
	afx_msg void OnBut4chDi1();
	afx_msg void OnBut4chDi2();
	afx_msg void OnBut4chDi3();
	afx_msg void OnBut4chDi4();
	afx_msg void OnChkVideo();
	afx_msg void OnSelchangeComboVideodecFmt();
	afx_msg void OnChangeEditJpegq();
	afx_msg void OnButUp();
	afx_msg void OnButLeft();
	afx_msg void OnButHome();
	afx_msg void OnButRight();
	afx_msg void OnButDown();
	afx_msg void OnButTele();
	afx_msg void OnButWide();
	afx_msg void OnButFar();
	afx_msg void OnButNear();
	afx_msg void OnButAuto();
	afx_msg void OnButPan();
	afx_msg void OnButPatrol();
	afx_msg void OnButPtstop();
	afx_msg void OnButtonConn();
	afx_msg void OnCheckAutoReconnect();
	afx_msg void OnSelchangeComboStreamOpt();
	afx_msg void OnSelchangeComboProtocol();
	afx_msg void OnCheckMoedit();
	afx_msg void OnCheckAudio();
	afx_msg void OnSelchangeComboQuality();
	afx_msg void OnSelchangeComboVsize();
	afx_msg void OnSelchangeComboChannel();
	afx_msg void OnCheckForceGdi();
	afx_msg void OnCheckGdiStretchblt();
	afx_msg void OnCheckDdrawOnepass();
	afx_msg void OnCheckIgnoreBorder();
	afx_msg void OnCheckIgnoreCaption();
	afx_msg void OnCheckDeblock();
	afx_msg void OnCheckDisplay();
	afx_msg void OnCheckZoomEdit();
	afx_msg void OnCheckZoomEnabled();
	afx_msg void OnCheckUserdate();
	afx_msg void OnCheckStretch();
	afx_msg void OnSelchangeComboUsrTimefmt();
	afx_msg void OnButBrowse();
	afx_msg void OnSave();
	afx_msg void OnButSendComcmd();
	afx_msg void OnButReadComcmd();
	afx_msg void OnButtonDbpathBrowse();
	afx_msg void OnCheckEventRecord();
	afx_msg void OnButtonRecord();
	afx_msg void OnCheckEventMd();
	afx_msg void OnCheckEventDi1rise();
	afx_msg void OnCheckEventDi1fall();
	afx_msg void OnCheckEventDi1high();
	afx_msg void OnCheckEventDi1low();
	afx_msg void OnCheckEventDi2rise();
	afx_msg void OnCheckEventDi3fall();
	afx_msg void OnCheckEventDi4high();
	afx_msg void OnButtonHttpPost();
	afx_msg void OnButtonHttpGet();
	afx_msg void OnChkAviShow();
	afx_msg void OnButAviStart();
	afx_msg void OnChkAviAutoset();
	afx_msg void OnChkAviAutosize();
	afx_msg void OnButAviUpdset();
	afx_msg void OnButAviVcomp();
	afx_msg void OnButAviAcomp();
	afx_msg void OnChkTestInput();
	afx_msg void OnButSetRefresh();
	afx_msg void OnButSetRead();
	afx_msg void OnButSetSet();
	afx_msg void OnButSetUpd();
	afx_msg void OnButDatetimeSet();
	afx_msg void OnOnConnectionBrokenVitaminctrl1(long eConnType);
	afx_msg void OnOnConnectionOKVitaminctrl1(long eConnType);
	afx_msg void OnOnNewAudioPieceVitaminctrl1(VARIANT FAR* vPiece);
	afx_msg void OnOnRecordStatusVitaminctrl1(long lStatusCode, long lParam);
	afx_msg void OnOnMDAlertVitaminctrl1(VARIANT FAR* vWinStatus);
	afx_msg void OnOnDIDOAlertVitaminctrl1(long lChangeFlag, long lValue);
	afx_msg void OnOnNewVideoVitaminctrl1(BOOL bSignal, BOOL bDecodedImg, VARIANT FAR* vPiece);
	afx_msg void OnOnNewPacketVitaminctrl1(BOOL bVideo, VARIANT FAR* vPiece);
	afx_msg void OnOnAVIStatusVitaminctrl1(long eStatus);
	afx_msg void OnChkAudio();
	afx_msg void OnButSavePreset();
	afx_msg void OnChangeEditJpgInterval();
	afx_msg void OnCheckVolctrl();
	afx_msg void OnCheckMicctrl();
	afx_msg void OnCheckTalkBtn();
	afx_msg void OnCheckDecodeav();
	afx_msg void OnCheckMotionFrm();
	afx_msg void OnChangeEditDisplayPeriod();
	afx_msg void OnButCust1();
	afx_msg void OnButCust2();
	afx_msg void OnButCust3();
	afx_msg void OnButCust4();
	afx_msg void OnButIrisauto();
	afx_msg void OnButIrisclose();
	afx_msg void OnButIrisopen();
	afx_msg void OnCheckForceNonyuv();
	afx_msg void OnCheckAutoServermodel();
	afx_msg void OnOnServerModelTypeVitaminctrl1(long eNewServerModelType);
	afx_msg void OnButSnapMem();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void HandleAudioRelatedCtrl(bool bShow);
	void Handle1Or4Channel(bool b1Ch);
	void SetupInitProtocol(int nIndex);
	void SetupControlProtocol(int nIndex);
	void HandleConnOptCtrl(bool b2K);
	void Move4ChDiDoCtrlPos();
	void MoveWindowToCtrl(int nTarget, int nSrc);
	void SetAVIButtonStatus();
	void UpdateServerSetStatus(bool bEnable);
	void SetEventType();
	void ResetControls(BOOL bEnable);
	void UpdatePresetLocation();
	CString DoGetDi(int nDiPort);
	void DoDOSet(int nID, int nPort);
	bool CheckComCommand();
	void StartDatabaseRecord(BOOL bOnlyWhenRecording);
	void DoHttpOperation(BOOL bPost);
	void Handle4ChDIDOAlert(long lValue);
	bool CheckPresetName();
	void SetCtrlButtonState(DWORD dwIndex, BOOL bVisible);
	void ChangeUIItems(int nSel, bool bIsChangeProtocol);
	void HandleCtrlBtn(bool bVol, bool bTalk);

	DWORD m_dwDecodedAudioSize;
	DWORD m_dwDecodedVideoSize;
	long m_lImgNum;
	long m_lNoSignalImgNum;
	long m_lMDAlertNum;

public:
	
	afx_msg void OnCbnSelchangeComboStream();
	afx_msg void OnBnClickedCheckTwowayaudio();
	afx_msg void OnBnClickedButtonFullscreen();
protected:
	virtual void OnCancel();
public:
//	void OnRequestAVIFileNameVitaminctrl1(VARIANT* pvTime);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCTESTDLG_H__C706665D_87ED_4E2F_A45A_D6A1F987CB5C__INCLUDED_)
